@charset "utf-8";

/* 그누보드 */
.msg_sound_only, .sound_only {display:inline-block !important;position:absolute;top:0;left:0;margin:0 !important;padding:0 !important;font-size:0;line-height:0;border:0 !important;overflow:hidden !important}
.btn_admin { display: none; }

/* 캡챠 자동등록(입력)방지 기본 -pc */
#captcha {display:inline-block;position:relative;max-width:none;background:none;text-align:left;}
#captcha legend {position:absolute;margin:0;padding:0;font-size:0;line-height:0;text-indent:-9999em;overflow:hidden;}
#captcha #captcha_img {height:40px;border:1px solid #ccc;vertical-align:top;padding:0;margin:0;border-radius:3px}
#captcha #captcha_mp3 {margin:0;padding:0;width:40px;height:40px;border:0;background:transparent;vertical-align:middle;overflow:hidden;cursor:pointer;background:url('../../../img/captcha2.png') no-repeat;text-indent:-999px;border-radius:3px}
#captcha #captcha_reload {margin:0;padding:0;width:40px;height:40px;border:0;background:transparent;vertical-align:middle;overflow:hidden;cursor:pointer;background:url('../../../img/captcha2.png') no-repeat  0 -40px;text-indent:-999px;border-radius:3px}
#captcha #captcha_key {margin:0 0 0 3px;padding:0 5px;width:90px;height:40px;border:1px solid #ccc;background:#fff;font-size:1.333em;font-weight:bold;text-align:center;border-radius:3px;vertical-align:top}
#captcha #captcha_info {display:block;margin:5px 0 0;font-size:80%;color:#ff0000;letter-spacing:-0.1em}
@media (max-width: 575px) {	#captcha_audio {display:none !important;} }

/* 커스텀 */
a { text-decoration: none; }
select { font-size: 14px; }

#footer .logo img {	filter: grayscale(1); top: 0px; }

#latest h4 a { color: #000; }
#latest h4 a:hover { text-decoration: none; }
#latest li a { color: #777; }

.pagination { margin-top: 0rem; margin-bottom: 0rem; }

.ck.ck-editor__editable { min-height: 200px !important; }

/*
.dropdown-item { font-size: 1rem; }
.title { white-space: nowrap; text-overflow: ellipsis; overflow: hidden; width: 100%; }
*/



/* by coens */

.dropdown-menu {
	--bs-dropdown-border-radius : 0;
}

.page-link {
 color:#000;
}

.pagination {
	--bs-pagination-active-bg: #555;
	--bs-pagination-active-border-color: #222;
	--bs-pagination-focus-color: #000;
	--bs-pagination-color : #999;
	--bs-pagination-hover-color: #888;
}




.latest-subject {
    display: flex;            /* 내부 요소를 한 줄로 배치 */
/*    justify-content: space-between;*/
    align-items: center;
    width: 100%;
    min-width: 0;             /* Flex 내 자식의 말줄임 작동을 위한 필수 설정 */
    text-decoration: none !important;
    color: inherit;
}

/* 제목 부분 */
.latest-subject .subject-title {
/*    flex: 1; */                 /* 남는 공간을 모두 차지 */
    white-space: nowrap;      /* 줄바꿈 방지 (한 줄 강제) */
    overflow: hidden;         /* 넘치는 부분 숨김 */
    text-overflow: ellipsis;  /* ... 처리 */
    min-width: 0;             /* 너비 계산 오류 방지 */
    padding-right: 0.8em;      /* 이름과의 간격 */
/*	margin-right: 1em;*/
}

/* 작성자 부분 */
.latest-subject .subject-name {
    flex-shrink: 0;           /* 제목이 길어져도 이름 영역은 줄어들지 않음 */
    font-size: 0.85em;
    color: #888;
    white-space: nowrap;      /* 이름도 줄바꿈 방지 */
}

.latest-subject .subject-comment-cnt {
    flex-shrink: 0;           /* 제목이 길어져도 이름 영역은 줄어들지 않음 */
    font-size: 0.85em;
	font-weight:bold;
    color: #b12f00;
    white-space: nowrap;      /* 이름도 줄바꿈 방지 */
}

.img-fluid{
    height: auto !important;
}

/* custom.css */
:root {
  --bs-border-radius: 0;
  --bs-border-radius-sm: 0;
  --bs-border-radius-lg: 0;
  --bs-border-radius-xl: 0;
}


/* 비디오 wrapper 관련*/
.video-responsive-wrapper {
    position: relative;
    height: 0;
    overflow: hidden;
    width: 100%;
	
    width: 92%; /* 여전히 최대 너비는 제한 가능 */
    max-width: 1200px; /* 여전히 최대 너비는 제한 가능 */
	min-width:320px;
    margin: 1em auto;
}

.video-responsive-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100% !important;
    border: 0;
}